aboutsummaryrefslogtreecommitdiffstats
path: root/host/cmake/debian/uhd-host.postinst
diff options
context:
space:
mode:
authorMartin Braun <martin.braun@ettus.com>2015-12-30 14:22:43 -0800
committerMartin Braun <martin.braun@ettus.com>2015-12-30 14:22:43 -0800
commitdb9ebd80dd0d675b2018f1ac504745e9bd110cd9 (patch)
treedbc101179c60313deb81a75f059218624fec0225 /host/cmake/debian/uhd-host.postinst
parent867d2223d18c2127ade5fd6a79b0be921f0ca4ee (diff)
parent605b360651e85ca5923d0e9e8ea20343f7202301 (diff)
downloaduhd-db9ebd80dd0d675b2018f1ac504745e9bd110cd9.tar.gz
uhd-db9ebd80dd0d675b2018f1ac504745e9bd110cd9.tar.bz2
uhd-db9ebd80dd0d675b2018f1ac504745e9bd110cd9.zip
Merge branch 'maint'
Diffstat (limited to 'host/cmake/debian/uhd-host.postinst')
-rw-r--r--host/cmake/debian/uhd-host.postinst17
1 files changed, 17 insertions, 0 deletions
diff --git a/host/cmake/debian/uhd-host.postinst b/host/cmake/debian/uhd-host.postinst
new file mode 100644
index 000000000..1d9d31cd2
--- /dev/null
+++ b/host/cmake/debian/uhd-host.postinst
@@ -0,0 +1,17 @@
+#! /bin/sh
+
+set -e
+if [ "$1" = "configure" ]; then
+ # Create usrp group for udev access
+ if ! getent group usrp >/dev/null; then
+ addgroup --system usrp
+ fi
+ # Apply usrp2 networking optimization
+ if [ -x "`which sysctl 2>/dev/null`" ]; then
+ sysctl -p /etc/sysctl.d/uhd-usrp2.conf
+ fi
+fi
+
+#DEBHELPER#
+
+exit 0